EDIT - bug #7488

lllegalStateException: Multiple representations .. problem on saving Taxon with misapplied name
06/18/2018 01:03 PM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

¢ Open Picris rhagadioloides (L.) Desf., Tabl. Ecole Bot.: 89. 1804 in the TaxonEditor
¢ Open details for misaplied name "Picris rhagadioloides”

¢ Add Appended phrase

e Saving the taxon raises the below exception, the change is persisted nevertheless.

login : admin
editor version : 5.1.0.201806110837
server : test.e-taxonomy.eu (edit-test) / cichorieae
schema version : 5.0.0.0.20180514
os : Linux 4.13.0-43-generic amdé64
java : 1.8.0_131
org.eclipse.ed.core.di.InjectionException: java.lang.IllegalStateException: Multiple representatio
ns of the same entity [eu.etaxonomy.cdm.model.reference.Reference#11162] are being merged. Detache
d: [Reference [type=Generic, id= 11162, uuid=c5b96998-9c52-4f24-81£9-9d0f4ded43052]]; Detached: [Re
ference [type=Generic, id= 11162, uuid=c5b96998-9c52-4£f24-81£9-9d0f4ded3052]]
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:65)
at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
at org.eclipse.ed4.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:247)
at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:90

at org.eclipse.ed.ui.internal.workbench.PartServiceSaveHandler.save (PartServiceSaveHandler. jav
a:57)

at org.eclipse.ui.internal.WorkbenchWindow$7.save (WorkbenchWindow. java:594)

at org.eclipse.ed.ui.internal.workbench.PartServiceImpl.savePart (PartServiceImpl. java:1390)

at eu.etaxonomy.taxeditor.workbench.SaveHandler.execute (SaveHandler. java:40)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)

at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:264)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:13

at org.eclipse.e4d.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. j
ava:152)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:
488)

at org.eclipse.ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl.
java:210)

at org.eclipse.e4d.ui.bindings.keys.KeyBindingDispatcher.executeCommand (KeyBindingDispatcher. ja
va:286)

at org.eclipse.ed.ui.bindings.keys.KeyBindingDispatcher.press (KeyBindingDispatcher. java:507)

at org.eclipse.e4d.ui.bindings.keys.KeyBindingDispatcher.processKeyEvent (KeyBindingDispatcher.j
ava:558)

at org.eclipse.e4.ui.bindings.keys.KeyBindingDispatcher.filterKeySequenceBindings (KeyBindingDi
spatcher. java:378)

at org.eclipse.ed.ui.bindings.keys.KeyBindingDispatcher.access$0 (KeyBindingDispatcher. java:324
at org.eclipse.ed.ui.bindings.keys.KeyBindingDispatcher$KeyDownFilter.handleEvent (KeyBindingDi
spatcher. java:86)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.filterEvent (Display.java:1605)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1339)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1366)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1349)

at org.eclipse.swt.widgets.Widget.sendKeyEvent (Widget.java:1378)

at org.eclipse.swt.widgets.Widget.gtk_key_press_event (Widget. java:764)

at org.eclipse.swt.widgets.Control.gtk_key_press_event (Control. java:3465)

at org.eclipse.swt.widgets.Text.gtk_key_press_event (Text.java:1869)

at org.eclipse.swt.widgets.Widget.windowProc (Widget. java:2000)

at org.eclipse.swt.widgets.Control.windowProc (Control.java:5827)

at org.eclipse.swt.widgets.Text.windowProc (Text. java:2896)

at org.eclipse.swt.widgets.Display.windowProc (Display.java:5498)

at org.eclipse.swt.internal.gtk.O0S._gtk_main_do_event (Native Method)

at org.eclipse.swt.internal.gtk.0S.gtk_main_do_event (0S.java:9545)

at org.eclipse.swt.widgets.Display.eventProc (Display.java:1275)

at org.eclipse.swt.internal.gtk.0S._g_main_context_iteration (Native Method)

at org.eclipse.swt.internal.gtk.0S.g_main_context_iteration (0S.java:2495)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:4149)

at org.eclipse.e4d4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:l
022)

at org.eclipse.ed4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

at org.eclipse.equinox.launcher.Main.main (Main. java:1492)
Caused by: java.lang.IllegalStateException: Multiple representations of the same entity [eu.etaxon
omy.cdm.model.reference.Reference#11162] are being merged. Detached: [Reference [type=Generic, id=

11162, uuid=c5b96998-9c52-4£f24-81£9-9d0£f4ded43052]]; Detached: [Reference [type=Generic, id= 11162

, uuid=c5b96998-9c52-4f24-81£f9-9d0£f4ded43052]]

at org.hibernate.event.internal.EntityCopyNotAllowedObserver.entityCopyDetected (EntityCopyNotA
llowedObserver. java:37)

at org.hibernate.event.internal.MergeContext.put (MergeContext. java:245)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi
stener. java:304)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:170)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)

at org.hibernate.internal.SessionImpl.merge (SessionImpl.java:832)

at org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade. java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList
ener.java:468)
at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi
stener. java:327)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:170)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:69)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:840)

at org.hibernate.internal.SessionImpl.merge (SessionImpl. java:822)

at org.hibernate.internal.SessionImpl.merge (SessionImpl.java:827)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.merge (CdmEntityDaoBase. j
ava:259)

at eu.etaxonomy.cdm.api.service.ServiceBase.merge (ServiceBase. java:215)

at eu.etaxonomy.cdm.api.service.ServiceBase.merge (ServiceBase. java:36)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocation (
TransactionInterceptor. java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport. java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy3072.merge (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.remoting. support.RemoteInvocationTracelInterceptor.invoke (RemotelInvocati
onTracelnterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy3344.merge (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemotelInvocation. java:212)

at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (DefaultRemoteIn
vocationExecutor. java:39)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationB
asedExporter. java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (Re
moteInvocationBasedExporter.java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvok
erServiceExporter. java:74)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdap
ter.java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:969)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:871)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:707)
.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21

security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)
web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy.j

web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy.java:26

.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)

.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi

.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)
servlet.ServletHandler.doHandle (ServletHandler. java:585)
server.handler.ScopedHandler.handle (ScopedHandler. java:143)
security.SecurityHandler.handle (SecurityHandler. java:577)
server.session.SessionHandler.doHandle (SessionHandler. java:223)
org.eclipse. jetty.server.handler.ContextHandler.doHandle (ContextHandler.java:1127)
org.eclipse. jetty.servlet.ServletHandler.doScope (ServletHandler. java:515)

org.eclipse. jetty.server.session.SessionHandler.doScope (SessionHandler. java:185)
org.eclipse. jetty.server.handler.ContextHandler.doScope (ContextHandler. java:1061)
org.eclipse. jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)

org.eclipse. jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollection.j

ava:215)

at
at
at
at
at
at
at
at
at

org.eclipse. jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:97)

org.eclipse. jetty.server.Server.handle (Server.java:497)

org.eclipse. jetty.server.HttpChannel.handle (HttpChannel. java:310)

org.eclipse. jetty.server.HttpConnection.onFillable (HttpConnection. java:257)

org.eclipse. jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)

org.eclipse. jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)
org.eclipse. jetty.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)
java.lang.Thread.run (Thread. java:748)
org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIfPossible

(RemoteInvocationUtils. java:45)

at

org.springframework.remoting.support.RemoteInvocationResult.recreate (RemoteInvocationResult

.java:149)

at

org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemotelInvocation

Result (RemoteInvocationBasedAccessor. java:85)

at

org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli

entInterceptor.java:150)

at

org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca

tion.java:179)

at
at
at
at
at
at
at
at
at

org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy. java:208)
com.sun.proxy.S$SProxy53.merge (Unknown Source)
eu.etaxonomy.taxeditor.editor.ed.TaxonEditorInputE4.merge (TaxonEditorInputE4. java:362)
eu.etaxonomy.taxeditor.editor.name.e4.TaxonNameEditorE4.save (TaxonNameEditorE4. java:397)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method. invoke (Method. java:498)
org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:55)

66 more

History

#1 - 06/18/2018 01:05 PM - Andreas Kohlbecker

- Description updated

#2 - 06/18/2018 01:06 PM - Andreas Kohlbecker

| could not reproduce this error a second time.

#3 - 06/18/2018 01:57 PM - Andreas Miuller

- Assignee changed from Andreas Miiller to Katja Luther

Katja, do we have a ticket for those MultRep exception that appeared after last time changing the CDM Cache code?

If not, can you create one or use this ticket for it. If yes, can you move this content there?

#4 - 06/18/2018 01:58 PM - Andreas Miuller

Note: the above exceptions occurred with a 7 days old TaxEditor.

#5 - 02/21/2020 10:45 AM - Andreas Kohlbecker

- Tags set to multiple-representations-problem
